using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

namespace AI.Platform.Core.Entity.Media
{
    [SugarTable(null,"广告列表")]
    public class MediaEntity: EntityBaseLite
    {
        [SugarColumn(ColumnDescription = "集团ID", IsNullable = false,DefaultValue = "")]
        public string GroupID {  get; set; }

        [SugarColumn(ColumnDescription = "站点ID", IsNullable = false, DefaultValue = "")]
        public string BusinessUnitID { get; set; }

        [SugarColumn(ColumnDescription = "广告文件本地存储路径", IsNullable = false, DefaultValue = "")]
        public string LocalPath { get; set; }

        [SugarColumn(ColumnDescription = "文件名", IsNullable = false, DefaultValue = "")]
        public string FileName { get; set; }

        [SugarColumn(ColumnDescription = "加上Guid前缀文件名", IsNullable = false, DefaultValue = "")]
        public string GuidFileName { get; set; }

        [SugarColumn(ColumnDescription = "文件后缀", IsNullable = false, DefaultValue = "")]
        public string FileExtension { get; set; }

        [SugarColumn(ColumnDescription = "开始播放时间（小时，0～23）", IsNullable = false)]
        public int StartTime { get; set; }

        [SugarColumn(ColumnDescription = "结束播放时间（小时，0～23）", IsNullable = false)]
        public int EndTime { get; set; }

        [SugarColumn(ColumnDescription = "广告生效日期", IsNullable = false)]
        public DateTime EffectiveTime { get; set; }

        [SugarColumn(ColumnDescription = "广告失效日期", IsNullable = false)]
        public DateTime FailureTime { get; set; }

        [SugarColumn(ColumnDescription = "油机状态，json串存储。设置该广告在什么油机状态下播放", IsNullable = false)]
        public string MachineState { get; set; }

        [SugarColumn(ColumnDescription = "广告状态，0：禁用；1：启用", IsNullable = false)]
        public int MediaState { get; set; }

        [SugarColumn(ColumnDescription = "上传人", IsNullable = false, DefaultValue = "")]
        public string Uploader { get; set; }

        [SugarColumn(ColumnDescription = "修改时间", IsNullable = false)]
        public DateTime EditTime { get; set; }

        [SugarColumn(ColumnDescription = "备注", IsNullable = true, DefaultValue = "")]
        public string Remark{ get; set; }

    }
}
